from setuptools import setup, find_packages

setup(
    name="universalrag",
    version="0.1.0",
    author="Vigyat Singh",
    author_email="vigyatsingh2004@gmail.com",
    description="A plug-and-play multimodal Retrieval-Augmented Generation (RAG) framework",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/vigyat13/universalrag_pypi",
    packages=find_packages(),
    install_requires=[
        "openai",
        "faiss-cpu",
        "sentence-transformers",
        "PyPDF2",
        "python-docx",
        "pytesseract",
        "transformers",
        "moviepy",
        "whisper",
        "requests",
        "bs4",
        "python-dotenv",
        "torchaudio",
        "easyocr",
        "torch",
        "Pillow",
        "python-bidi",
        "tiktoken",
        "huggingface_hub",
        "groq"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
        "License :: OSI Approved :: MIT License",
    ],
    python_requires='>=3.8',
)
